import { Aperture, BookOpen, Codepen, FileText, Youtube } from "react-feather";

export const FaqWidgetsData = [
  {
    id: 1,
    title: "Articles",
    colClass: 'box-col-6',
    paragraph: "The usefulness and usability of a website, not its aesthetic design, define its success or failure. User-centric design has become the norm for effective and financially motivated web design since the visitor to the website is the only one who clicks the mouse and thus determines everything. After all, a feature might as well not exist if people can't utilise it.",
    icon: <FileText />,
  },
  {
    id: 2,
    title: "Knowledgebase",
    colClass: 'col-sm-6 box-col-6',
    paragraph: "A knowledge base acts as a central repository for knowledge, data, and information pertaining to a certain subject or thing. Its main goal is to make it easier for consumers to obtain information quickly and conveniently so they can solve problems, find solutions, and make wise decisions.",
    icon: <BookOpen />,
  },
  {
    id: 3,
    title: "Support",
    colClass: 'col-sm-6 box-col-12',
    paragraph: "Email, chat, forums, and a social media interface (and monitoring) are all part of real-time online assistance, which helps in reacting to public complaints and comments. Taking care of returns or repairs may fall under this.",
    icon: <Aperture />,
  },
];


export const KnowledgeBaseData = [
  {
    id: 1,
    title: "Quick questions are answered",
    knowledgeList: [
      {
        text: "Dream big, work hard, achieve more.",
        fileTextIcon: true,
      },
      {
        text: "Stars require darkness to shine.",
        fileTextIcon: true,
      },
      {
        fileTextIcon: true,
        badge: "New",
        text: "The key to happiness lies within, not in goods.",
      },
      {
        fileTextIcon: true,
        text: "Seek advancement rather than perfection.",
      },
      {
        text: "See More (40)",
      },
    ],
  },
  {
    id: 2,
    title: "Integrating wordPress with your website",
    knowledgeList: [
      {
        text: "Plugins and tools for seamless WordPress integration",
        fileTextIcon: true,
        badge: "Review",
      },
      {
        fileTextIcon: true,
        text: "advantages of using WordPress as my website's CMS",
      },
      {
        fileTextIcon: true,
        text: "Desktop publishing software like Jully",
        badge: "Articles",
      },
      {
        fileTextIcon: true,
        text: "Making this the first true generator on the Internet.",
      },
      {
        text: "See More (90)",
      },
    ],
  },
  {
    id: 3,
    title: "WordPress site maintenance",
    knowledgeList: [
      {
        fileTextIcon: true,
        text: "WordPress Site Upkeep: Important Best Practises",
      },
      {
        fileTextIcon: true,
        text: "Regular Updates: WordPress Security and Stability",
        badge: "Closed",
      },
      {
        fileTextIcon: true,
        text: "Backup Fundamentals: Protecting Your Website Data",
      },
      {
        fileTextIcon: true,
        text: "The Essential Maintenance for a Thriving Website",
      },
      {
        text: "See More (50)",
      },
    ],
  },
  {
    id: 4,
    title: "Meta tags in wordPress",
    knowledgeList: [
      {
        text: "The article WordPress Site Care: A Recipe for Success",
        fileTextIcon: true,
        badge: "Popular",
      },
      {
        fileTextIcon: true,
        text: "Security Scan: Protecting Against Vulnerabilities.",
      },
      {
        fileTextIcon: true,
        text: "SEO and Site Speed: Improving User Experience",
      },
      {
        fileTextIcon: true,
        text: "Broken Links: Fixing for Improved Navigation",
      },
      {
        text: "See More (90)",
      },
    ],
  },
  {
    id: 5,
    title: "WordPress in your language",
    knowledgeList: [
      {
        text: "Discover WordPress Themes: Improve Website Design",
        fileTextIcon: true,
      },
      {
        text: "Making the Best Decision: WordPress vs. Other CMS",
        fileTextIcon: true,
      },
      {
        text: "Using Widgets to Your Advantage: Creating a Custom Website",
        fileTextIcon: true,
      },
      {
        fileTextIcon: true,
        text: "Essential WordPress Plugins: Easily enhance",
        badge: "Closed",
      },
      {
        text: "See More (50)",
      },
    ],
  },
  {
    id: 6,
    title: "Know your sources",
    knowledgeList: [
      {
        fileTextIcon: true,
        text: "First, get the issue resolved. Write the code after that.",
      },
      {
        fileTextIcon: true,
        text: "It has a more-or-less normal distribution of letters",
      },
      {
        text: "The writing of programmes must be simple",
        fileTextIcon: true,
        badge: "Article",
      },
      {
        fileTextIcon: true,
        text: "Coding involves logic and creativity in addition to merely writing code",
      },
      {
        text: "See More (26)",
      },
    ],
  },
  {
    id: 7,
    title: "Validating a Website",
    knowledgeList: [
      {
        text: "Build your website to make users happy",
        fileTextIcon: true,
        badge: "Review",
      },
      {
        fileTextIcon: true,
        text: "Your website is your front door online",
      },
      {
        text: "Make sure your website is easy to use and simple",
        fileTextIcon: true,
        badge: "Closed",
      },
      {
        fileTextIcon: true,
        text: "Update, innovate, and enhance your website",
      },
      {
        text: "See More (10)",
      },
    ],
  },
  {
    id: 8,
    title: "Quick questions are answered",
    knowledgeList: [
      {
        fileTextIcon: true,
        text: "Coding: turning caffeine into lines of brilliance.",
      },
      {
        text: "Code is the poetry of logical expression.",
        fileTextIcon: true,
        badge: "Popular",
      },
      {
        text: "Coding is the art of engineering",
        fileTextIcon: true,
        badge: "Review",
      },
      {
        text: "Every screen size is accommodated with a responsive website",
        fileTextIcon: true,
      },
      {
        text: "See More (25)",
      },
    ],
  },
  {
    id: 9,
    title: "Integrating wordPress with your website",
    knowledgeList: [
      {
        text: "The core of your online presence is your website",
        fileTextIcon: true,
      },
      {
        text: "Your website is a 24/7 marketing tool",
        fileTextIcon: true,
      },
      {
        text: "Build a website that turns users into buyers",
        fileTextIcon: true,
      },
      {
        text: "User experience determines a website's success",
        badge: "On hold",
        fileTextIcon: true,
      },
      {
        text: "See More (34)",
      },
    ],
  },
];

export const FeaturesData = [
  {
    id: 1,
    image: '1.jpg',
    description: 'Setting aside time once every three months to refresh your portfolio is a fantastic idea. Even if you are not submitting any new work, you could still need to provide more context or alter anything based on your continuing learnings and objectives. Compared to months or years later, it is far simpler to update when the information is still fresh in your mind.',
    title: 'Web Design',
    date: 'Dec 22, 2024'
  },
  {
    id: 2,
    image: '2.jpg',
    description: 'To display HTML and CSS components on different web browsers, such as Chrome, Safari, and previous versions of Opera, CSS3 uses the Webkit rendering engine. It offers the essential features for generating online content and guaranteeing consistency across many platforms.',
    title: 'Web Development',
    date: 'Dec 12, 2024'
  },
  {
    id: 3,
    image: '3.jpg',
    description: "Seniority does have a significant role in how much influence a UI specialist has at this first stage of the design process. Senior UI designers may take the initiative in coming up with suggestions for which visual components will work best, whereas an entry-level UI designer is more likely to be focused on storyboards, sitemaps, and process flows and not have much influence on the site's appearance.",
    title: 'UI Design',
    date: 'Dec 10, 2024'
  },
  {
    id: 4,
    image: '4.jpg',
    description: "Information architecture is a discipline that, among other things, organises, arranges, and structures the content of a website or app. Information architects determine how to organise something's components in a way that makes sense.",
    title: 'UX Design',
    date: 'Dec 20, 2024'
  },
];

export const ArticalAndVideoOne = [
  {
    iconClass: <Codepen className="m-r-30" />,
    title: "Product manager",
    description: "A product manager is a specialist in charge of managing the growth, direction."
  },
  {
    iconClass: <Codepen className="m-r-30" />,
    title: "E-commerce",
    description: "Discover the flourishing e-commerce industry and how digital technology has transformed it."
  },
  {
    iconClass: <Codepen className="m-r-30" />,
    title: "Web-development",
    description: "To display HTML and CSS components on different web browsers, such as Chrome, Safari."
  },
];

export const ArticalAndVideoTwo = [
  {
    iconClass: <FileText className="m-r-30" />,
    title: "UX designer",
    description: "Seniority does have a significant role in how much influence a UI specialist.",
  },
  {
    iconClass: <FileText className="m-r-30" />,
    title: "SDLC cycle",
    description: "the intricacies of the Software Development Life Cycle a systematic approach to software development"
  },
  {
    iconClass: <FileText className="m-r-30" />,
    title: "Using Video",
    description: "Information architecture is a discipline that, among other things, arranges, and structures"
  },
];

export const ArticalAndVideoThird = [
  {
    iconClass: <Youtube className="m-r-30" />,
    title: "Information gathering",
    description: "Explore the critical role of information gathering in effective problem-solving processes.",
    md: "6",
  },
  {
    iconClass: <Youtube className="m-r-30" />,
    title: "Effective communication",
    description: "It's crucial to communicate! This blog explores the key components of good communication.",
    md: "6",
  },
  {
    iconClass: <Youtube className="m-r-30" />,
    title: "Travel adventures",
    description: "The spirit is enriched by travel! This site takes you on an exhilarating tour of stunning.",
  },
];