import { Href, ImagePath } from "@/Constants";
import { ScrollImageType, ScrollVerticalType } from "@/Types/Table";
import Image from "next/image";
import { TableColumn } from "react-data-table-component";
export const ScrollVertical1 = `This example shows a vertically scrolling DataTable that makes use of the CSS3 vh unit in order to dynamically resize the viewport based on the browser window height. The vh unit is effectively a percentage of the browser window height. So the 50vh used in this example is 50% of the window height. The viewport size will update dynamically as the window is resized.`;
export const ScrollVertical2 = `A relatively modern browser is required for vh units to operate correctly. IE9+ supports the vh unit and all other evergreen browsers.`;


export const ScrollVerticalData = [
  {
    name: "user/1.jpg",
    title: "Zorita Serrano",
    position: "Software Engineer",
    office: "San Francisco",
    age: "56",
    startDate: "2012/06/01",
    salary: "$115,000",
    action: "ts-1",
  },
  {
    name: "user/12.png",
    title: "Zenaida Frank",
    position: "Software Engineer",
    office: "New York",
    age: "63",
    startDate: "2010/01/04",
    salary: "$125,250",
    action: "ts-2",
  },
  {
    name: "user/2.jpg",
    title: "Yuri Berry",
    position: "Chief Marketing Officer (CMO)",
    office: "New York",
    age: "40",
    startDate: "2009/06/25",
    salary: "$675,000",
    action: "ts-3",
  },
  {
    name: "user/2.jpg",
    title: "Vivian Harrell",
    position: "Financial Controller",
    office: "San Francisco",
    age: "62",
    startDate: "2009/02/14",
    salary: "$452,500",
    action: "ts-4",
  },
  {
    name: "user/12.png",
    title: "Unity Butler",
    position: "Marketing Designer",
    office: "San Francisco",
    age: "47",
    startDate: "2009/12/09",
    salary: "$85,675",
    action: "ts-5",
  },
  {
    name: "user/12.png",
    title: "Timothy Mooney",
    position: "Office Manager",
    office: "London",
    age: "37",
    startDate: "2008/12/11",
    salary: "$136,200",
    action: "ts-6",
  },
  {
    name: "user/1.jpg",
    title: "Tiger Nixon",
    position: "System Architect",
    office: "Edinburgh",
    age: "61",
    startDate: "2011/04/25",
    salary: "$320,800",
    action: "ts-7",
  },
  {
    name: "user/1.jpg",
    title: "Thor Walton",
    position: "Developer",
    office: "New York",
    age: "61",
    startDate: "2013/08/11",
    salary: "$98,540",
    action: "ts-8",
  },
  {
    name: "user/2.jpg",
    title: "Tatyana Fitzpatrick",
    position: "Regional Director",
    office: "London",
    age: "19",
    startDate: "2010/03/17",
    salary: "$385,750",
    action: "ts-9",
  },
  {
    name: "user/12.png",
    title: "Suki Burks",
    position: "Developer",
    office: "London",
    age: "53",
    startDate: "2009/10/22",
    salary: "$114,500",
    action: "ts-10",
  },
  {
    name: "user/2.png",
    title: "Sonya Frost",
    position: "Software Engineer",
    office: "Edinburgh",
    age: "23",
    startDate: "2008/12/13",
    salary: "$103,600",
    action: "ts-11",
  },
  {
    name: "user/2.png",
    title: "Shou Itou",
    position: "Regional Marketing",
    office: "Tokyo",
    age: "20",
    startDate: "2011/08/14",
    salary: "$163,000",
    action: "ts-12",
  },
  {
    name: "user/2.jpg",
    title: "Shad Decker",
    position: "Regional Director",
    office: "Edinburgh",
    age: "51",
    startDate: "2008/11/13",
    salary: "$183,000",
    action: "ts-13",
  },
  {
    name: "user/2.jpg",
    title: "Serge Baldwin",
    position: "Data Coordinator",
    office: "Singapore",
    age: "64",
    startDate: "2012/04/09",
    salary: "$138,575",
    action: "ts-14",
  },
  {
    name: "user/12.png",
    title: "Sakura Yamamoto",
    position: "Support Engineer",
    office: "Tokyo",
    age: "37",
    startDate: "2009/08/19",
    salary: "$139,575",
    action: "ts-15",
  },
  {
    name: "user/12.png",
    title: "Rhona Davidson",
    position: "Integration Specialist",
    office: "Tokyo",
    age: "55",
    startDate: "2010/10/14",
    salary: "$327,900",
    action: "ts-16",
  },
  {
    name: "user/12.png",
    title: "Quinn Flynn",
    position: "Support Lead",
    office: "Edinburgh",
    age: "22",
    startDate: "2013/03/03",
    salary: "$342,000",
    action: "ts-17",
  },
  {
    name: "user/1.jpg",
    title: "Prescott Bartlett",
    position: "Technical Author",
    office: "London",
    age: "27",
    startDate: "2011/05/07",
    salary: "$145,000",
    action: "ts-18",
  },
  {
    name: "user/1.jpg",
    title: "Paul Byrd",
    position: "Chief Financial Officer (CFO)",
    office: "New York",
    age: "64",
    startDate: "2010/06/09",
    salary: "$725,000",
    action: "ts-19",
  },
  {
    name: "user/2.jpg",
    title: "Olivia Liang",
    position: "Support Engineer",
    office: "Singapore",
    age: "64",
    startDate: "2011/02/03",
    salary: "$234,500",
    action: "ts-20",
  },
  {
    name: "user/2.jpg",
    title: "Michelle House",
    position: "Integration Specialist",
    office: "Sidney",
    age: "37",
    startDate: "2011/06/02",
    salary: "$95,400",
    action: "ts-21",
  },
  {
    name: "user/12.png",
    title: "Michael Silva",
    position: "Marketing Designer",
    office: "London",
    age: "66",
    startDate: "2012/11/27",
    salary: "$198,500",
    action: "ts-22",
  },
  {
    name: "user/12.png",
    title: "Michael Bruce",
    position: "Javascript Developer",
    office: "Singapore",
    age: "29",
    startDate: "2011/06/27",
    salary: "$183,000",
    action: "ts-23",
  },
  {
    name: "user/2.jpg",
    title: "Martena Mccray",
    position: "Post-Sales support",
    office: "Edinburgh",
    age: "46",
    startDate: "2011/03/09",
    salary: "$324,050",
    action: "ts-24",
  },
  {
    name: "user/1.jpg",
    title: "Lael Greer",
    position: "Systems Administrator",
    office: "London",
    age: "21",
    startDate: "2009/02/27",
    salary: "$103,500",
    action: "ts-25",
  },
  {
    name: "user/2.png",
    title: "Jonas Alexander",
    position: "Developer",
    office: "San Francisco",
    age: "30",
    startDate: "2010/07/14",
    salary: "$86,500",
    action: "ts-26",
  },
  {
    name: "user/2.jpg",
    title: "Jennifer Chang",
    position: "Regional Director",
    office: "Singapore",
    age: "28",
    startDate: "2010/11/14",
    salary: "$357,650",
    action: "ts-27",
  },
  {
    name: "user/2.png",
    title: "Jennifer Acosta",
    position: "Junior Javascript Developer",
    office: "Edinburgh",
    age: "43",
    startDate: "2013/02/01",
    salary: "$75,650",
    action: "ts-28",
  },
  {
    name: "user/2.jpg",
    title: "Jenette Caldwell",
    position: "Development Lead",
    office: "New York",
    age: "30",
    startDate: "2011/09/03",
    salary: "$345,000",
    action: "ts-29",
  },
  {
    name: "user/2.jpg",
    title: "Jena Gaines",
    position: "Office Manager",
    office: "London",
    age: "30",
    startDate: "2008/12/19",
    salary: "$90,560",
    action: "ts-30",
  },
  {
    name: "user/1.jpg",
    title: "Jackson Bradshaw",
    position: "Director",
    office: "New York",
    age: "65",
    startDate: "2008/09/26",
    salary: "$645,750",
    action: "ts-31",
  },
  {
    name: "user/1.jpg",
    title: "Howard Hatfield",
    position: "Office Manager",
    office: "San Francisco",
    age: "51",
    startDate: "2008/12/16",
    salary: "$164,500",
    action: "ts-32",
  },
  {
    name: "user/2.png",
    title: "Hope Fuentes",
    position: "Secretary",
    office: "San Francisco",
    age: "41",
    startDate: "2010/02/12",
    salary: "$109,850",
    action: "ts-33",
  },
  {
    name: "user/2.png",
    title: "Herrod Chandler",
    position: "Sales Assistant",
    office: "San Francisco",
    age: "59",
    startDate: "2012/08/06",
    salary: "$137,500",
    action: "ts-34",
  },
  {
    name: "user/12.png",
    title: "Hermione Butler",
    position: "Regional Director",
    office: "London",
    age: "47",
    startDate: "2011/03/21",
    salary: "$356,250",
    action: "ts-35",
  },
  {
    name: "user/2.png",
    title: "Haley Kennedy",
    position: "Senior Marketing Designer",
    office: "London",
    age: "43",
    startDate: "2012/12/18",
    salary: "$313,500",
    action: "ts-36",
  },
  {
    name: "user/2.png",
    title: " Gloria Little",
    position: "Systems Administrator",
    office: "New York",
    age: "59",
    startDate: "2009/04/10",
    salary: "$237,500",
    action: "ts-37",
  },
  {
    name: "user/2.png",
    title: "Gavin Joyce",
    position: "Developer",
    office: "Edinburgh",
    age: "42",
    startDate: "2010/12/22",
    salary: "$92,575",
    action: "ts-38",
  },
  {
    name: "user/2.png",
    title: "Gavin Cortez",
    position: "Team Leader",
    office: "San Francisco",
    age: "22",
    startDate: "2008/10/26",
    salary: "$235,500",
    action: "ts-39",
  },
  {
    name: "user/2.png",
    title: "Garrett Winters",
    position: "Accountant",
    office: "Tokyo",
    age: "63",
    startDate: "2011/07/25",
    salary: "$170,750",
    action: "ts-40",
  },
  {
    name: "user/1.jpg",
    title: " Fiona Green",
    position: "Chief Operating Officer (COO)",
    office: "San Francisco",
    age: "48",
    startDate: "2010/03/11",
    salary: "$850,000",
    action: "ts-41",
  },
  {
    name: "user/2.png",
    title: "Finn Camacho",
    position: "Support Engineer",
    office: "San Francisco",
    age: "47",
    startDate: "2009/07/07",
    salary: "$87,500",
    action: "ts-42",
  },
  {
    name: "user/1.jpg",
    title: "Doris Wilder",
    position: "Sales Assistant",
    office: "Sidney",
    age: "23",
    startDate: "2010/09/20",
    salary: "$85,600",
    action: "ts-43",
  },
  {
    name: "user/2.png",
    title: "Donna Snider",
    position: "Customer Support",
    office: "New York",
    age: "27",
    startDate: "2011/01/25",
    salary: "$112,000",
    action: "ts-44",
  },
  {
    name: "user/12.png",
    title: "Dai Rios",
    position: "Personnel Lead",
    office: "Edinburgh",
    age: "35",
    startDate: "2012/09/26",
    salary: "$217,500",
    action: "ts-45",
  },
  {
    name: "user/1.jpg",
    title: "Colleen Hurst",
    position: "Javascript Developer",
    office: "San Francisco",
    age: "39",
    startDate: "2009/09/15",
    salary: "$205,500",
    action: "ts-46",
  },
  {
    name: "user/1.jpg",
    title: "Charde Marshall",
    position: "Regional Director",
    office: "San Francisco",
    age: "36",
    startDate: "2008/10/16",
    salary: "$470,600",
    action: "ts-47",
  },
  {
    name: "user/12.png",
    title: "Cedric Kelly",
    position: "Senior Javascript Developer",
    office: "Edinburgh",
    age: "22",
    startDate: "2012/03/29",
    salary: "$433,060",
    action: "ts-48",
  },
  {
    name: "user/2.jpg",
    title: "Cara Stevens",
    position: "Sales Assistant",
    office: "New York",
    age: "46",
    startDate: "2011/12/06",
    salary: "$145,600",
    action: "ts-49",
  },
  {
    name: "user/12.png",
    title: "Caesar Vance",
    position: "Pre-Sales Support",
    office: "New York",
    age: "21",
    startDate: "2011/12/12",
    salary: "$106,450",
    action: "ts-50",
  },
  {
    name: "user/2.png",
    title: "Bruno Nash",
    position: "Software Engineer",
    office: "London",
    age: "38",
    startDate: "2011/05/03",
    salary: "$163,500",
    action: "ts-51",
  },
  {
    name: "user/2.png",
    title: "Brielle Williamson",
    position: "Integration Specialist",
    office: "New York",
    age: "61",
    startDate: "2012/12/02",
    salary: "$372,000",
    action: "ts-52",
  },
  {
    name: "user/12.png",
    title: "Brenden Wagner",
    position: "Software Engineer",
    office: "San Francisco",
    age: "28",
    startDate: "2011/06/07",
    salary: "$206,850",
    action: "ts-53",
  },
  {
    name: "user/2.jpg",
    title: "Bradley Greer",
    position: "Software Engineer",
    office: "London",
    age: "41",
    startDate: "2012/10/13",
    salary: "$132,000",
    action: "ts-54",
  },
  {
    name: "user/2.jpg",
    title: "Ashton Cox",
    position: "Junior Technical Author",
    office: "San Francisco",
    age: "66",
    startDate: "2009/01/12",
    salary: "$86,000",
    action: "ts-55",
  },
  {
    name: "user/2.png",
    title: "Angelica Ramos",
    position: "Chief Executive Officer (CEO)",
    office: "London",
    age: "47",
    startDate: "2009/10/09",
    salary: "$1,200,000",
    action: "ts-56",
  },
  {
    name: "user/1.jpg",
    title: "Airi Satou",
    position: "Accountant",
    office: "Tokyo",
    age: "33",
    startDate: "2008/11/28",
    salary: "$162,700",
    action: "ts-57",
  },
];

const ScrollImage: React.FC<ScrollImageType> = ({ image, title }) => {
  return (
    <>
      <Image width={32} height={32} className="img-fluid table-avtar" src={`${ImagePath}/${image}`} alt="userImage" /> {title}
    </>
  );
};

interface TableActionType {
  id: string;
}

const TableActions : React.FC<TableActionType> = ({ id }) => {
  return (
    <ul className="action" id={id}>
      <li className="edit">
        <a href={Href}>
          <i className="icon-pencil-alt" />
        </a>
      </li>
      <li className="delete">
        <a href={Href}>
          <i className="icon-trash" />
        </a>
      </li>
    </ul>
  );
};

export const ScrollVerticalColumns: TableColumn<ScrollVerticalType>[] = [
  {
    name: "Name",
    cell: (row) => <ScrollImage image={row.name} title={row.title} />,
    sortable: true,
  },
  {
    name: "Position",
    selector: (row) => `${row.position}`,
    sortable: true,
  },
  {
    name: "Office",
    selector: (row) => `${row.office}`,
    sortable: true,
  },
  {
    name: "Age",
    selector: (row) => `${row.age}`,
    sortable: true,
  },
  {
    name: "Start Date",
    selector: (row) => `${row.startDate}`,
    sortable: true,
  },
  {
    name: "Salary",
    selector: (row) => `${row.salary}`,
    sortable: true,
  },
  {
    name: "Action",
    cell: (row) => <TableActions id={row.action} />,
    sortable: true,
  },
];
