import { CheckSquare, MessageCircle } from "react-feather";

export const AccordionData = [
  {
    text: "Click the accordions below to expand/collapse the accordion content. Use the ",
    code: ".accordion",
  },
];

export const SimpleAccordion2: string = "<p> <strong> Search engine optimization: </strong> Search engine optimization (SEO) is a method for improving the chances for a website to be found by search engines. Web design codes information in a way that search engines can read it. It can boost business because the site shows up on the top search result pages, helping people to find it. <br /> <br /> <strong> Mobile responsiveness:</strong> Mobile responsiveness is the feature of a website that allows it to display on a mobile device and adapt its layout and proportions to be legible. Web design ensures sites are easy to view and navigate from mobile devices. When a website is well-designed and mobile-responsive, customers can reach the business with ease. <br /> <br /> <strong> Improved sales:</strong>Increasing the number of items sold or acquiring more active customers are objectives of a compelling website. As web design reaches targeted customers and search engines, it helps the business make conversions on their site and improve its sales. </p>";
export const SimpleAccordion3: string = "<p> The web design process allows designers to adjust to any preferences and provide effective solutions. There are many standard components of every web design, including: </p><ul class='d-flex flex-column gap-2 accordions-content'> <li>--&gt; Layout</li><li>--&gt; Images</li><li>--&gt; Visual hierarchy</li><li>--&gt; Color scheme</li><li>--&gt; Typography</li><li>--&gt; Navigation</li><li>--&gt; Readability</li><li>--&gt; Content</li></ul>"

export const AccordionList = [
  {
    id: "2",
    icon: true,
    accordionHeaderClass: "bg-light-primary",
    accordionHeading: "What is the use of web design?",
    spanClass: "txt-primary",
    bodyText: <div dangerouslySetInnerHTML={{ __html: SimpleAccordion2 }}></div>,
  },
  {
    id: "3",
    icon: true,
    accordionHeaderClass: "bg-light-primary",
    accordionHeading: "What are the elements of web design?",
    spanClass: "txt-primary",
    bodyText: <div dangerouslySetInnerHTML={{ __html: SimpleAccordion3 }}></div>,
  },
];

export const FlushData = [
  {
    text: "Add ",
    code: ".accordion-flush",
  },
  {
    text: " to remove the default",
    code: " background-color",
  },
  {
    text: " , some borders, and some rounded corners to render accordions edge-to-edge with their parent container.",
  },
];

export const FlushAccordion2: string = `<ul class="d-flex flex-column gap-2 accordions-content">
  <li>First and foremost, Bootstrap is easy to learn. Due to its popularity, plenty of tutorials and online forums are available to help you get started.</li>
  <li>One of the reasons why Bootstrap is so popular among web developers and web designers is that it has a simple file structure. Its files are compiled for easy access, and it only requires basic knowledge of HTML, CSS, and JS to modify them.</li>
  <li>You can also use themes for popular content management systems as learning tools. For example, most WordPress themes were developed using Bootstrap, which any beginner web developer can access. </li>
  <li>To increase the site's page load time, Bootstrap minifies the CSS and JavaScript files. Additionally, Bootstrap maintains consistency across the syntax between websites and developers, which is ideal for team-based projects.</li>
</ul>`
export const FlushAccordion3: string = `<ul class="d-flex flex-column gap-2 accordions-content">
 <li>Bootstrap handles the image display and responsiveness with its predefined HTML and CSS rules.</li>
 <li>Adding the .img-responsive class will automatically resize images based on the users' screen size. This will benefit your website’s performance, as reducing image sizes is part of the site optimization process.</li>
 <li>Bootstrap also provides additional classes like .img-circle and .img-rounded, which help to modify the images' shape.</li>
</ul>`


export const FlusList = [
  {
    id: "2",
    accordionHeaderClass: "bg-light-secondary",
    accordionHeading: "What is the use of web design?",
    spanClass: "txt-secondary",
    bodyText: <div dangerouslySetInnerHTML={{ __html: FlushAccordion2 }}></div>,
  },
  {
    id: "3",
    accordionHeaderClass: "bg-light-secondary",
    accordionHeading: "Bootstrap Image System",
    spanClass: "txt-secondary",
    bodyText: <div dangerouslySetInnerHTML={{ __html: FlushAccordion3 }}></div>,
  },
];

export const MultipleData = [
  {
    text: " A   ",
    code: "<button>",
  },
  {
    text: " or",
    code: "<a>",
  },
  {
    text: " can show and hide multiple elements by referencing them with a selector in its href or data-bs-target attribute.",
  },
];

export const AccordionIconData = [
  {
    text: "Use the ",
    code: ".accordion ",
  },
  {
    text: "& ",
    code: "feather icons",
  },
  {
    text: " through change look icons accordion.",
  },
];

export const IconAccordion2 = `<ul class="d-flex flex-column gap-2 accordions-content">
 <li>You get the same features in Chat and Chat in Gmail, but the integrated Gmail experience provides a central location to communicate with friends, family, or coworkers between emails.</li>
 <li> <strong>Chat:</strong> Use when you prefer a dedicated chat experience and don't mind switching between different apps.</li>
</ul>`
export const IconAccordion3 = `<ul class="d-flex flex-column gap-2 accordions-content"> 
 <li>1) Decide on the indentation and keep it that way.</li>
 <li>2) Make comments.</li>
 <li>3) Consistent name scheme.</li>
 <li>4) Don't repeat code.</li>
 <li>5) Avoid writing long code lines.</li>
 <li>6) Break down a big task into smaller chunks.</li>
 <li>7) Organize your program into smaller files.</li>
 <li>8) Write clever code that is also readable.</li>
</ul>`


export const AccordionIconList = [
  {
    id: "2",
    iconWithTitle: <MessageCircle className="svg-wrapper me-2 txt-success" />,
    icon: true,
    accordionHeaderClass: "gap-2 bg-light-success txt-success",
    accordionHeading: "What is the use of web design?",
    spanClass:"txt-success",
    bodyText: <div dangerouslySetInnerHTML={{ __html: IconAccordion2 }}></div>,
  },
  {
    id: "3",
    iconWithTitle: <CheckSquare className="svg-wrapper me-2 txt-success" />,
    icon: true,
    accordionHeaderClass: "gap-2 bg-light-success txt-success",
    accordionHeading: "What are the elements of web design?",
    spanClass:"txt-success",
    bodyText: <div dangerouslySetInnerHTML={{ __html: IconAccordion3 }}></div>,
  },
];

export const OutlineData = [
  {
    text: "make custom ",
    code: ".accordion-wrapper",
  },
  {
    text: " class use to bring border-left side.",
  },
];

export const OutlineList = [
  {
    id: "2",
    icon: true,
    accordionItemClass: "accordion-wrapper",
    accordionHeaderClass: "bg-light-warning",
    accordionHeading: "What is the use of web design?",
    spanClass: "txt-warning",
    bodyText: <div dangerouslySetInnerHTML={{ __html: SimpleAccordion2 }}></div>,
  },
  {
    id: "3",
    icon: true,
    accordionItemClass: "accordion-wrapper",
    accordionHeaderClass: "bg-light-warning",
    accordionHeading: "What are the elements of web design?",
    spanClass: "txt-warning",
    bodyText: <div dangerouslySetInnerHTML={{ __html: SimpleAccordion3 }}></div>,
  },
];

export const AccordionHorizontal = [
  {
    text: "Add the ",
    code: ".collapse-horizontal",
  },
  {
    text: " modifier class to transition the width instead of height and set a width on the immediate child element.",
  },
];

export const AccordionCollaps = [
  {
    text: "you can also use a link with the href attribute",
    code: "(and a role='button').",
  },
  {
    text: "In both cases, the ",
    code: "data-bs-toggle='collapse'",
  },
  {
    text: "is required.",
  },
];