import SvgIcon from "@/CommonComponents/CommonIcons/CommonSvgIcons";
import { useAppSelector } from "@/ReduxToolkit/Hooks";
import { Col, Row } from "reactstrap";

export const MainContent = () => {
  const { bookmarkedData } = useAppSelector((store) => store.bookmarkDataSlice);

  return (
    <Row className="custom-scrollbar">
      {bookmarkedData.map((item, i) => (
        <Col key={i} xs="4" className=" text-center">
          <div className="bookmark-content">
            <div className="bookmark-icon">
              <SvgIcon iconId={`stroke-${item.icon}`} />
            </div>
            {item.name || item.title}
          </div>
        </Col>
      ))}
    </Row>
  );
};
