import { CreateAccount, DontHaveAccount, EmailAddressLogIn, Href, ImagePath, OrSignInWith, Password, RememberPassword, SignIn, SignInToAccount } from "@/Constants";
import Cookies from "js-cookie";
import Image from "next/image";
import Link from "next/link";
import { useRouter } from "next/navigation";
import { FormEvent, useState } from "react";
import { toast } from "react-toastify";
import { Button, Form, FormGroup, Input, Label } from "reactstrap";
import { UserSocialApp } from "./UserSocialApp";
import { useAppSelector } from "@/ReduxToolkit/Hooks";
import logoimage from "../../../../public/assets/images/logo/logo.png";
const { src } = logoimage;
export const UserForm = () => {
  const { i18LangStatus } = useAppSelector((store) => store.langSlice);
  const [show, setShow] = useState(false);
  const [email, setEmail] = useState("test123@gmail.com");
  const [password, setPassword] = useState("Test@123");
  const router = useRouter();

  const formSubmitHandle = (event: FormEvent) => {
    event.preventDefault();
    if (email === "test123@gmail.com" && password === "Test@123") {
      Cookies.set("yuri_token", JSON.stringify(true));
      router.push(`/${i18LangStatus}/dashboard/default`);
      toast.success("login successful");
    } else {
      alert("Please Enter Valid Email Or Password");
    }
  };

  return (
    <div>
      <div className="logo">
        <img className="img-fluid for-light" src={src} alt="login page" />
      </div>
      <div className="login-main">
        <Form className="theme-form" onSubmit={formSubmitHandle}>
          <h4>{SignInToAccount}</h4>
          <p>Enter your email & password to login</p>
          <FormGroup>
            <Label className="col-form-label">{EmailAddressLogIn}</Label>
            <Input type="text" defaultValue={email} onChange={(event) => setEmail(event.target.value)} placeholder="test123@gmail.com" />
          </FormGroup>
          <FormGroup>
            <Label className="col-form-label">{Password}</Label>
            <div className="position-relative">
              <Input type={show ? "text" : "password"} defaultValue={password} onChange={(event) => setPassword(event.target.value)} placeholder="Test@123" />
              <div className="show-hide" onClick={() => setShow(!show)}>
                <span className="show"> </span>
              </div>
            </div>
          </FormGroup>
          <FormGroup className="mb-0">
            <div className="checkbox p-0">
              <Input id="checkbox1" type="checkbox" />
              <Label className="text-muted" htmlFor="checkbox1">
                {RememberPassword}
              </Label>
            </div>
            <div className="text-end mt-3">
              <Button color="primary" block className="w-100">
                {SignIn}
              </Button>
            </div>
          </FormGroup>
          <h6 className="text-muted mt-4 or">{OrSignInWith}</h6>
          <UserSocialApp />
          <p className="mt-4 mb-0 text-center">
            {DontHaveAccount}
            <a className="ms-2" href={Href}>
              {CreateAccount}
            </a>
          </p>
        </Form>
      </div>
    </div>
  );
};
