import { SpeedInsights } from "@vercel/speed-insights/next";
import { ToastContainer } from "react-toastify";
import "../index.scss";
import MainProvider from "./MainProvider";
import NoSsr from "@/utils/NoSsr";

export default function RootLayout({ children }: { children: React.ReactNode }) {
  return (
    <html lang="en" >
      <head>
        <title>Yuri - Premium Admin Template</title>
        <link rel="icon" href={`/assets/images/logo/logo-icon.png`} type="image/x-icon" />
        <link rel="preconnect" href="https://fonts.googleapis.com" />
        <link rel="preconnect" href="https://fonts.gstatic.com" crossOrigin="" />
        <link rel="preconnect" href="https://fonts.gstatic.com" />
        <link href="https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&amp;family=Nunito+Sans:ital,wght@0,300;0,400;0,700;0,800;0,900;1,700&amp;display=swap" rel="stylesheet" />
        <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAjeJEPREBQFvAIqDSZliF0WjQrCld-Mh0" async></script>
      </head>
      <body suppressHydrationWarning={true}>
        <NoSsr>
          <MainProvider>
            <SpeedInsights />
            <ToastContainer />
            {children}
          </MainProvider>
        </NoSsr>
      </body>
    </html>
  );
}
